# Example Request
curl -X GET "https://api.getmetal.io/v1/datasources/{datasourceID}/data-entities" \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>'
{
"data": [
{
"id": "id1",
"datasource": "datasourceID",
"name": "record_deal.pdf",
"extractedMetadata": [
{
"name": "band",
"value": "Iron Maiden",
"type": "string"
}
],
"sourceType": "File",
"status": "Active",
"createdAt": "2023-08-29T10:51:04.246Z",
"updatedAt": "2023-08-29T10:51:04.246Z",
"metadataFields": [
{
"name": "band",
"type": "string",
"description": "Which band is this record deal for?"
}
],
"createdBy": "userID"
},
{
"id": "id2",
"datasource": "datasource_id",
"name": "concert_list.docx",
"extractedMetadata": [
{
"name": "Venue",
"value": "Glastonbury",
"type": "string"
}
],
"sourceType": "File",
"status": "Active",
"createdAt": "2023-08-29T10:51:04.246Z",
"updatedAt": "2023-08-29T10:51:04.246Z",
"metadataFields": [
{
"name": "band",
"type": "string",
"description": "Where is the next concert at?"
}
],
"createdBy": "userID"
}
]
}
📄 Data Entities
List Data Entities
This endpoint retrieves a list of all data entities.
GET
/
v1
/
datasources
/
{datasourceID}
/
data-entities
# Example Request
curl -X GET "https://api.getmetal.io/v1/datasources/{datasourceID}/data-entities" \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>'
{
"data": [
{
"id": "id1",
"datasource": "datasourceID",
"name": "record_deal.pdf",
"extractedMetadata": [
{
"name": "band",
"value": "Iron Maiden",
"type": "string"
}
],
"sourceType": "File",
"status": "Active",
"createdAt": "2023-08-29T10:51:04.246Z",
"updatedAt": "2023-08-29T10:51:04.246Z",
"metadataFields": [
{
"name": "band",
"type": "string",
"description": "Which band is this record deal for?"
}
],
"createdBy": "userID"
},
{
"id": "id2",
"datasource": "datasource_id",
"name": "concert_list.docx",
"extractedMetadata": [
{
"name": "Venue",
"value": "Glastonbury",
"type": "string"
}
],
"sourceType": "File",
"status": "Active",
"createdAt": "2023-08-29T10:51:04.246Z",
"updatedAt": "2023-08-29T10:51:04.246Z",
"metadataFields": [
{
"name": "band",
"type": "string",
"description": "Where is the next concert at?"
}
],
"createdBy": "userID"
}
]
}
Auth Headers
string
required
An API key for your org.
string
required
A Client ID for your org.
Query
integer
The maximum number of data entities to return. Default is 10.
integer
The starting position for the query. Useful for pagination.
Response
array
Show Data Entity Object
Show Data Entity Object
string
The unique identifier of the data entity.
string
The ID of the datasource this entity belongs to.
string
The name of the data entity.
array
An array of extracted metadata fields.
string
The source type of the data entity.
string
The status of the data entity.
string
The creation timestamp of the data entity.
string
The update timestamp of the data entity.
# Example Request
curl -X GET "https://api.getmetal.io/v1/datasources/{datasourceID}/data-entities" \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>'
{
"data": [
{
"id": "id1",
"datasource": "datasourceID",
"name": "record_deal.pdf",
"extractedMetadata": [
{
"name": "band",
"value": "Iron Maiden",
"type": "string"
}
],
"sourceType": "File",
"status": "Active",
"createdAt": "2023-08-29T10:51:04.246Z",
"updatedAt": "2023-08-29T10:51:04.246Z",
"metadataFields": [
{
"name": "band",
"type": "string",
"description": "Which band is this record deal for?"
}
],
"createdBy": "userID"
},
{
"id": "id2",
"datasource": "datasource_id",
"name": "concert_list.docx",
"extractedMetadata": [
{
"name": "Venue",
"value": "Glastonbury",
"type": "string"
}
],
"sourceType": "File",
"status": "Active",
"createdAt": "2023-08-29T10:51:04.246Z",
"updatedAt": "2023-08-29T10:51:04.246Z",
"metadataFields": [
{
"name": "band",
"type": "string",
"description": "Where is the next concert at?"
}
],
"createdBy": "userID"
}
]
}
⌘I